Name:           perl-CPAN-Releases-Latest
Version:        0.08
Release:        1%{?dist}
Summary:        Find latest release of all distributions on CPAN
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/CPAN-Releases-Latest/
Source0:        http://www.cpan.org/authors/id/N/NE/NEILB/CPAN-Releases-Latest-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(autodie)
BuildRequires:  perl(Carp)
BuildRequires:  perl(CPAN::DistnameInfo)
BuildRequires:  perl(File::HomeDir)
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(MetaCPAN::Client) >= 2.006000
BuildRequires:  perl(Module::Runtime)
BuildRequires:  perl(Moo)
# Time::Duration::Parse not used at tests
# Tests:
# File::Copy not used
BuildRequires:  perl(Test::More) >= 0.88
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Time::Duration::Parse)

%description
This Perl module constructs a list of all distributions on CPAN, by default
using the MetaCPAN API. The generated index is cached locally. It will let you
iterate over the index, either release by release, or distribution by
distribution.

%prep
%setup -q -n CPAN-Releases-Latest-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -delete
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Mar 07 2017 Petr Pisar <ppisar@redhat.com> - 0.08-1
- 0.08 bump

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.07-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon May 16 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.07-3
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.07-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Petr Pisar <ppisar@redhat.com> - 0.07-1
- 0.07 bump

* Thu Aug 06 2015 Petr Pisar <ppisar@redhat.com> 0.06-1
- Specfile autogenerated by cpanspec 1.78.
